%global shortname memory-monitor

Name:           jenkins-extras-memory-monitor
Version:        1.9
Release:        3%{?dist}
Summary:        Java library for monitoring memory/swap usage

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/extras-memory-monitor
Source0:        https://github.com/jenkinsci/extras-%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt

Patch0:         0001-Remove-support-for-windows-and-solaris.patch

BuildRequires:  maven-local
BuildRequires:  java-devel
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

BuildArch:      noarch

%description
This package contains a small Java library for monitoring
memory/swap usage.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for Jenkins memory monitor.


%prep
%setup -q -n extras-%{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%patch0 -p1

%build
# tests are failing because 'top' is unavailable (adding BR won't solve the problem)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to upstream version 1.9

* Mon Jun 16 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.7-1
- Initial package

